JavaScript
import Finch from '@tryfinch/finch-api';
const client = new Finch({
accessToken: 'My Access Token',
});
// Automatically fetches more pages as needed.
for await (const employmentDataResponse of client.hris.employments.retrieveMany({
requests: [{ individual_id: 'individual_id' }],
})) {
console.log(employmentDataResponse.individual_id);
}from finch import Finch
client = Finch(
access_token="My Access Token",
)
page = client.hris.employments.retrieve_many(
requests=[{
"individual_id": "individual_id"
}],
)
page = page.responses[0]
print(page.individual_id)package main
import (
"context"
"fmt"
"github.com/Finch-API/finch-api-go"
"github.com/Finch-API/finch-api-go/option"
)
func main() {
client := finchgo.NewClient(
option.WithAccessToken("My Access Token"),
)
page, err := client.HRIS.Employments.GetMany(context.TODO(), finchgo.HRISEmploymentGetManyParams{
Requests: finchgo.F([]finchgo.HRISEmploymentGetManyParamsRequest{{
IndividualID: finchgo.F("individual_id"),
}}),
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.tryfinch.api.example;
import com.tryfinch.api.client.FinchClient;
import com.tryfinch.api.client.okhttp.FinchOkHttpClient;
import com.tryfinch.api.models.HrisEmploymentRetrieveManyPage;
import com.tryfinch.api.models.HrisEmploymentRetrieveManyParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
FinchClient client = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build();
HrisEmploymentRetrieveManyParams params = HrisEmploymentRetrieveManyParams.builder()
.addRequest(HrisEmploymentRetrieveManyParams.Request.builder()
.individualId("individual_id")
.build())
.build();
HrisEmploymentRetrieveManyPage page = client.hris().employments().retrieveMany(params);
}
}package com.tryfinch.api.example
import com.tryfinch.api.client.FinchClient
import com.tryfinch.api.client.okhttp.FinchOkHttpClient
import com.tryfinch.api.models.HrisEmploymentRetrieveManyPage
import com.tryfinch.api.models.HrisEmploymentRetrieveManyParams
fun main() {
val client: FinchClient = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build()
val params: HrisEmploymentRetrieveManyParams = HrisEmploymentRetrieveManyParams.builder()
.addRequest(HrisEmploymentRetrieveManyParams.Request.builder()
.individualId("individual_id")
.build())
.build()
val page: HrisEmploymentRetrieveManyPage = client.hris().employments().retrieveMany(params)
}require "finch_api"
finch = FinchAPI::Client.new(access_token: "My Access Token")
page = finch.hris.employments.retrieve_many(requests: [{individual_id: "individual_id"}])
puts(page)curl --request POST \
--url https://api.tryfinch.com/employer/employment \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>' \
--header 'Finch-API-Version: <finch-api-version>' \
--data '
{
"requests": [
{
"individual_id": "<string>"
}
]
}
'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryfinch.com/employer/employment",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'requests' => [
[
'individual_id' => '<string>'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: <content-type>",
"Finch-API-Version: <finch-api-version>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"responses": [
{
"individual_id": "5d0b10a1-a09a-430f-81f1-20be735dc5e9",
"code": 200,
"body": {
"id": "5d0b10a1-a09a-430f-81f1-20be735dc5e9",
"first_name": "Jane",
"middle_name": null,
"last_name": "Doe",
"title": "Customer Support",
"manager": {
"id": "c205b3fa-b626-4346-bf0f-ca065ab88d31"
},
"department": {
"name": "Product"
},
"employment": {
"type": "employee",
"subtype": "full_time"
},
"start_date": "2017-06-30",
"end_date": null,
"latest_rehire_date": null,
"is_active": true,
"employment_status": "onboarding",
"flsa_status": "exempt",
"class_code": "8810",
"location": {
"line1": "12 Bird Drive",
"line2": null,
"city": "Palo Alto",
"state": "CA",
"postal_code": "94301",
"country": "US"
},
"income": {
"unit": "yearly",
"amount": 10000000,
"currency": "usd",
"effective_date": "2019-03-01"
},
"income_history": [
{
"unit": "yearly",
"amount": 9000000,
"currency": "usd",
"effective_date": "2018-05-15"
},
{
"unit": "yearly",
"amount": 8000000,
"currency": "usd",
"effective_date": "2017-06-30"
}
],
"custom_fields": [
{
"name": "tShirtSize",
"value": "L"
}
],
"source_id": "VWK-88a8505d"
}
}
]
}Organization
Employment
Read individual employment and income data
POST
/
employer
/
employment
JavaScript
import Finch from '@tryfinch/finch-api';
const client = new Finch({
accessToken: 'My Access Token',
});
// Automatically fetches more pages as needed.
for await (const employmentDataResponse of client.hris.employments.retrieveMany({
requests: [{ individual_id: 'individual_id' }],
})) {
console.log(employmentDataResponse.individual_id);
}from finch import Finch
client = Finch(
access_token="My Access Token",
)
page = client.hris.employments.retrieve_many(
requests=[{
"individual_id": "individual_id"
}],
)
page = page.responses[0]
print(page.individual_id)package main
import (
"context"
"fmt"
"github.com/Finch-API/finch-api-go"
"github.com/Finch-API/finch-api-go/option"
)
func main() {
client := finchgo.NewClient(
option.WithAccessToken("My Access Token"),
)
page, err := client.HRIS.Employments.GetMany(context.TODO(), finchgo.HRISEmploymentGetManyParams{
Requests: finchgo.F([]finchgo.HRISEmploymentGetManyParamsRequest{{
IndividualID: finchgo.F("individual_id"),
}}),
})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.tryfinch.api.example;
import com.tryfinch.api.client.FinchClient;
import com.tryfinch.api.client.okhttp.FinchOkHttpClient;
import com.tryfinch.api.models.HrisEmploymentRetrieveManyPage;
import com.tryfinch.api.models.HrisEmploymentRetrieveManyParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
FinchClient client = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build();
HrisEmploymentRetrieveManyParams params = HrisEmploymentRetrieveManyParams.builder()
.addRequest(HrisEmploymentRetrieveManyParams.Request.builder()
.individualId("individual_id")
.build())
.build();
HrisEmploymentRetrieveManyPage page = client.hris().employments().retrieveMany(params);
}
}package com.tryfinch.api.example
import com.tryfinch.api.client.FinchClient
import com.tryfinch.api.client.okhttp.FinchOkHttpClient
import com.tryfinch.api.models.HrisEmploymentRetrieveManyPage
import com.tryfinch.api.models.HrisEmploymentRetrieveManyParams
fun main() {
val client: FinchClient = FinchOkHttpClient.builder()
.fromEnv()
.accessToken("My Access Token")
.build()
val params: HrisEmploymentRetrieveManyParams = HrisEmploymentRetrieveManyParams.builder()
.addRequest(HrisEmploymentRetrieveManyParams.Request.builder()
.individualId("individual_id")
.build())
.build()
val page: HrisEmploymentRetrieveManyPage = client.hris().employments().retrieveMany(params)
}require "finch_api"
finch = FinchAPI::Client.new(access_token: "My Access Token")
page = finch.hris.employments.retrieve_many(requests: [{individual_id: "individual_id"}])
puts(page)Note: Income information is returned as reported by the provider. This may not always be annualized income, but may be in units of bi-weekly, semi-monthly, daily, etc, depending on what information the provider returns.
Authorizations
Please use your Access Token
Headers
Header used to specify the version for a given API request. Current version is 2020-09-17.
Pattern:
([12]\d{3}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01]))Used to indicate the original media type of the resource
Query Parameters
The entity IDs to specify which entities' data to access.
Required array length:
1 elementExample:
["550e8400-e29b-41d4-a716-446655440000"]Body
application/json
Individual Ids Request Body
The array of batch requests.
Show child attributes
Show child attributes
Response
Employment data
Show child attributes
Show child attributes
Was this page helpful?
⌘I